summaryrefslogtreecommitdiffstats
path: root/source/xfce/Thunar/Thunar.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/Thunar/Thunar.SlackBuild')
-rwxr-xr-xsource/xfce/Thunar/Thunar.SlackBuild10
1 files changed, 6 insertions, 4 deletions
diff --git a/source/xfce/Thunar/Thunar.SlackBuild b/source/xfce/Thunar/Thunar.SlackBuild
index 9a49b089d..012b24e4d 100755
--- a/source/xfce/Thunar/Thunar.SlackBuild
+++ b/source/xfce/Thunar/Thunar.SlackBuild
@@ -22,13 +22,13 @@
PKGNAM=Thunar
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
armv7hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
@@ -38,8 +38,8 @@ fi
NUMJOBS=${NUMJOBS:--j6}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -73,6 +73,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/0001-Deactivate-SEND_MOVED-code-paths.patch.gz | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \